Adium

Opened 8 years ago

Closed 8 years ago

#15244 closed defect (fixed)

Can't connect to ICQ - invalid DevID

Reported by: Centurion Owned by:
Milestone: Adium 1.4.2 Component: Service/ICQ
Version: 1.4.3b2 Severity: normal
Keywords: ICQ devid Cc:
Patch Status:

Description

Summary

When ever Adium (1.4.2b2) attempts to connect and login to the ICQ network, a message is displayed:

<ICQID> (ICQ) : Error
Received unexpected response from
https://api.login.icq.net/auth/clientLogin: Invalid DevId

Steps to reproduce

  1. Start Adium 1.4.2b2
  2. Initiate an ICQ login (either automatically on startup or manually)
  3. Progress indicator stays on: Connecting (0%)
  4. Dialogue box displayed with my ICQ ID and the message "Received unexpected...." as above.

Expected results

ICQ to connect and login as previously the case.

Actual results

ICQ does not login (regardless of security/codepage settings etc) and displays error message.

Regression

I only have Adium 1.4.2b2 installed and it was first noticed on Thursday 9th June 2011.

Notes

I'm not sure if this a regression bug in 1.4.2b2 (I found a rejected patch for separate ICQ/AOL DevID on ticket #14528) or if it is some other external change as a result of the new ICQ owners. Happy to install debug version to gather more information if you require.

Change History (21)

comment:1 Changed 8 years ago by Robby

Ticket #15245 has been marked as a duplicate of this ticket.

comment:2 Changed 8 years ago by MacMysty

ICQ made everything new yesterday. New ICQ version, new Mac: Edition, new homepage. and probably also a new log??

comment:3 Changed 8 years ago by Centurion

That's what I'm assuming too. Hence the reference to "some other external change" ;) I can provide packet traces as I guess we're going to have to reverse engineer their crap (again). Interestingly I've noticed the login servers redirect to HTTPS regardless of security preferences in the AdiumX account configuration.

comment:4 Changed 8 years ago by MacMysty

Strange it is only that my sister came now even with her Adium on-line

comment:5 Changed 8 years ago by MacMysty

Adium 1.4.1 don't hve the problem!!!!

comment:6 Changed 8 years ago by Jens Erat

Also experiencing the issue (Adium 1.4.2b2).

12:50:43: -[CBPurpleAccount setAccountUserImage:withData:]: <ESPurpleICQAccount:3857020 1>:130655638 setting icon data of length 0
12:50:43: -[AIWebKitMessageViewController listObjectAttributesChanged:]: <ESPurpleICQAccount:3857020 1>:130655638's icon changed
12:50:43: <ESPurpleICQAccount:3857020 1>:130655638: Updating status for key: User Icon
12:50:43: Adium: Connect: 130655638 initiating connection using status state <AIStatus: 25a0840 [Anwesend]> ((null)).
12:50:43: Setting status on 168c6fc0 (130655638): ID available, isActive 1, attributes {
}
12:50:43: (Libpurple: account) Connecting to account 130655638.
12:50:43: (Libpurple: connection) Connecting. gc = 0xb351960
12:50:43: (Libpurple: oscar) Registered modules: alert (family=0x0018, version=0x0001, toolid=0x0010, toolversion=0x0629), auth (family=0x0017, version=0x0000, toolid=0x0000, toolversion=0x0000), icq (family=0x0015, version=0x0001, toolid=0x0110, toolversion=0x047c), feedbag (family=0x0013, version=0x0004, toolid=0x0110, toolversion=0x0629), bart (family=0x0010, version=0x0001, toolid=0x0010, toolversion=0x0629), chat (family=0x000e, version=0x0001, toolid=0x0010, toolversion=0x0629), chatnav (family=0x000d, version=0x0001, toolid=0x0010, toolversion=0x0629), stats (family=0x000b, version=0x0001, toolid=0x0104, toolversion=0x0001), userlookup (family=0x000a, version=0x0001, toolid=0x0110, toolversion=0x0629), bos (family=0x0009, version=0x0001, toolid=0x0110, toolversion=0x0629), popup (family=0x0008, version=0x0001, toolid=0x0104, toolversion=0x0001), admin (family=0x0007, version=0x0001, toolid=0x0010, toolversion=0x0629), messaging (family=0x0004, version=0x0001, toolid=0x0110, toolversion=0x0629), buddy (family=0x0003, version=0x0001, toolid=0x0110, toolversion=0x0629), locate (family=0x0002, version=0x0001, toolid=0x0110, toolversion=0x0629), oservice (family=0x0001, version=0x0003, toolid=0x0110, toolversion=0x0629), misc (family=0xffff, version=0x0000, toolid=0x0000, toolversion=0x0000), 
12:50:43: (Libpurple: oscar) Registered handlers: 0001/0001, 0001/0005, 0001/000f, 0001/0013, 0001/001f, 0002/0003, 0003/0001, 0003/0003, 0003/000b, 0003/000c, 0004/0007, 0004/000a, 0004/000b, 0004/0014, 0007/0003, 0007/0005, 0007/0007, 0008/0002, 0009/0001, 0009/0003, 000a/0001, 000a/0003, 000d/0001, 000d/0009, 000e/0001, 000e/0002, 000e/0003, 000e/0004, 000e/0006, 0010/0005, 0013/0001, 0013/0003, 0013/0006, 0013/0008, 0013/0009, 0013/000e, 0013/0015, 0013/0019, 0013/001b, 0013/001c, 0017/0003, 0017/0007, 0017/000a, 0018/0001, 0018/0007, ffff/0003, ffff/0006, 
12:50:43: (Libpurple: oscar) oscar_login: gc = 0xb351960
12:50:43: (Libpurple: util) requesting to fetch a URL
12:50:43: (Libpurple: dns) DNS query for 'api.login.icq.net' queued
12:50:43: Connecting: gc=0xb351960 (Verbindungsaufbau) 0 / 6
12:50:43: <ESPurpleICQAccount:3857020 1>:130655638: Updating status for key: Online
12:50:43: ************ 130655638 --step-- 0
12:50:43: -[AdiumPurpleDnsRequest startLookup]: Performing DNS resolve: api.login.icq.net:443
12:50:44: DNS resolve complete for api.login.icq.net:443; 1 addresses returned
12:50:44: (Libpurple: dnsquery) IP resolved for api.login.icq.net
12:50:44: (Libpurple: proxy) Attempting connection to 205.188.27.208
12:50:44: (Libpurple: proxy) Connecting to api.login.icq.net:443 with no proxy
12:50:44: (Libpurple: proxy) Connection in progress
12:50:44: (Libpurple: proxy) Connecting to api.login.icq.net:443.
12:50:44: (Libpurple: proxy) Connected to api.login.icq.net:443.
12:50:44: (Libpurple: cdsa) Connecting
12:50:44: Called write with no write_tag <SourceInfo 0xb3a3640: Socket 0x169f2dd0: fd 9; timer_tag 0; read_tag 135122; write_tag 0>
12:50:44: (Libpurple: cdsa) Connecting
12:50:44: (Libpurple: cdsa) Connecting
12:50:44: (Libpurple: cdsa) Connecting
12:50:44: (Libpurple: cdsa) SSL_connect: verifying certificate
12:50:44: (Libpurple: cdsa) SSL_connect complete
12:50:44: (Libpurple: util) request constructed
12:50:44: Called write with no write_tag <SourceInfo 0x8a47470: Socket 0x8a85580: fd 9; timer_tag 0; read_tag 135124; write_tag 0>
12:50:44: (Libpurple: util) Response headers: 'HTTP/1.1 200 OK
Date: Sat, 11 Jun 2011 10:52:23 GMT
Set-Cookie: JSESSIONID=7CD1E506CCB6C70818E9138033EB874F; Path=/auth; Secure
Pragma: No-cache
Cache-Control: no-cache, must-revalidate
Expires: Thu, 01 Jan 1970 00:00:00 GMT
Content-Type: text/xml;charset=UTF-8
Content-Language: en-US
P3P: CP="PHY ONL PRE STA CURi OUR IND"
Connection: close

'
12:50:44: (Libpurple: oscar) clientLogin response statusCode was 440 (0): <response xmlns="https://api.login.aol.com">
  <statusCode>440</statusCode>
  <statusText>Invalid DevId</statusText>
</response>

12:50:44: (Libpurple: connection) Connection error on 0xb351960 (reason: 16 description: Unerwartete Antwort von https://api.login.icq.net/auth/clientLogin erhalten: Invalid DevId)
12:50:44: Connection Disconnected: gc=b351960 (Unerwartete Antwort von https://api.login.icq.net/auth/clientLogin erhalten: Invalid DevId)
12:50:44: <ESPurpleICQAccount:3857020 1>:130655638 accountConnectionReportDisconnect: Unerwartete Antwort von https://api.login.icq.net/auth/clientLogin erhalten: Invalid DevId
12:50:44: (Libpurple: account) Disconnecting account 130655638 (0x168c6fc0)
12:50:44: (Libpurple: connection) Disconnecting connection 0xb351960
12:50:44: (Libpurple: oscar) Signed off.
12:50:44: Disconnected: gc=b351960
12:50:44: <ESPurpleICQAccount:3857020 1>:130655638: Telling the core we disconnected
12:50:44: -[AIContactObserverManager endListObjectNotificationsDelaysImmediately]: 
12:50:44: <ESPurpleICQAccount:3857020 1>:130655638: Disconnected: Will not reconnect
12:50:44: Posting Growl notification: Event ID: Interface_ErrorMessageReceived, listObject: (null), chat: (null), description: 130655638 (ICQ) : Error
Unerwartete Antwort von https://api.login.icq.net/auth/clientLogin erhalten: Invalid DevId
12:50:44: (Libpurple: connection) Destroying connection 0xb351960
12:50:48: (Libpurple: util) Writing file accounts.xml to directory /Users/jenserat/Library/Application Support/Adium 2.0/Users/Default/libpurple
12:50:48: (Libpurple: util) Writing file /Users/jenserat/Library/Application Support/Adium 2.0/Users/Default/libpurple/accounts.xml

comment:7 Changed 8 years ago by ip

It's the same here with 1.4.2b2. SSL settings doesn't matter.

comment:8 Changed 8 years ago by anuron

Same here with 1.4.2b2 also.

comment:9 Changed 8 years ago by sphynx

Ticket #15247 has been marked as a duplicate of this ticket.

comment:10 Changed 8 years ago by sphynx

  • Resolution set to fixed
  • Status changed from new to closed

(In c1efbc00096f) Use the devId from the AIR version of ICQ instead of the old one we had for both AIM and ICQ, which has stopped working for ICQ for unknown reasons.

comment:11 Changed 8 years ago by sphynx

  • Milestone set to Adium 1.4.2

comment:12 Changed 8 years ago by Centurion

Well done peeps! Compiled the 1.5hg version and confirm it's fixed there too.

comment:13 Changed 8 years ago by MacMysty

How dos it works: c1efbc00096f. I don't know what to do...

comment:14 Changed 8 years ago by sphynx

It means we found and added a fix to Adium's source code. When 1.4.2 is released (which should be really soon now), it will include that fix.

comment:15 Changed 8 years ago by nadvorny

I've patched AdiumLibPurple for 1.4.2b2 with new devId. Worked fine. This may void your warranty. ;)
Download at http://dl.dropbox.com/u/665492/AdiumLibpurple

Drop it into
/Applications/Adium.app/Contents/Frameworks/AdiumLibpurple.framework/Versions/A/AdiumLibpurple

comment:16 Changed 8 years ago by sphynx

Ticket #15250 has been marked as a duplicate of this ticket.

comment:17 Changed 8 years ago by David Munch

  • Milestone changed from Adium 1.4.2 to Adium 1.4.3
  • Resolution fixed deleted
  • Status changed from closed to new
  • Version changed from 1.4.2b2 to 1.4.3b2

Problem started again today, running 1.4.3b2.

Edit: This is for AIM btw, as noted below.

Last edited 8 years ago by David Munch (previous) (diff)

comment:18 Changed 8 years ago by basictheprogram

I mentioned this in IRC for me it's -not- ICQ throwing the error it's AIM. Here's my IRC snippet.

I'm getting AIM invalid DevID which looks like a similar error as http://trac.adium.im/ticket/15244 for ICQ running 1.4.3b2 any suggestions?

comment:19 Changed 8 years ago by Robby

  • Status changed from new to pending

I suppose this isn't happening anymore? It seemed like a temporary server-side issue. (Similar report here: #p14382)

comment:20 Changed 8 years ago by basictheprogram

Has not happened tp me since my initial report.

comment:21 Changed 8 years ago by Robby

  • Milestone changed from Adium 1.4.3 to Adium 1.4.2
  • Resolution set to fixed
  • Status changed from pending to closed

Thanks!

Note: See TracTickets for help on using tickets.